﻿        //---------------//
 	   //---XXX007XXX---//
      //---------------//

using System;
using Server;
using Server.Misc;
using Server.Items;
using System.Collections;
using Server.Targeting;

namespace Server.Mobiles
{
	//*C@C Corps Display Name 
[CorpseName( "Shadow Corpse" )]
//*C@C Name: BaseCreature 
public class shadowarcher : BaseCreature
	{
	//*C@C Name : AIType, FightMode, RangePerception, RangeFight, ActiveSpeed, PassiveSpeed
[Constructable]
public shadowarcher() : base( AIType.AI_Archer, FightMode.Weakest, 5, 5, 0.2, 0.5 )
{
	//Title = "";
Name = "Shadow Archer";
	//C@C See Body list
Body = 764;

	Hue = 1;
	//C@C Equiped Item
	Bow weapon = new Bow();
			weapon.DamageLevel = (WeaponDamageLevel)Utility.Random( 5, 6 );
			weapon.DurabilityLevel = (WeaponDurabilityLevel)Utility.Random( 5, 6 );
			weapon.AccuracyLevel = (WeaponAccuracyLevel)Utility.Random( 5, 6 );
			//weapon.Skill = SkillName.Swords;
			weapon.Speed = 46;
			weapon.Hue = 0x151;
			weapon.Weight = 1.0;
			weapon.Movable = false;
			weapon.Attributes.SpellChanneling = 1;
			AddItem( weapon );
	//C@C* Monster Stats
			SetStr( 296, 320 );
			SetDex( 105, 155 );
			SetInt( 36, 60 );

			SetHits( 151, 162 );
			SetStam( 151, 162 );
			SetMana( 151, 162 );
			
			SetDamage( 10, 40 );

			SetDamageType( ResistanceType.Physical, 100 );
			SetDamageType( ResistanceType.Poison, 00 );
			SetDamageType( ResistanceType.Fire, 00 );
			SetDamageType( ResistanceType.Cold, 00 );
			SetDamageType( ResistanceType.Energy, 00 );
			
			SetResistance( ResistanceType.Physical, 45, 60 );
			SetResistance( ResistanceType.Fire, 25, 35 );
			SetResistance( ResistanceType.Cold, 30, 40 );
			SetResistance( ResistanceType.Poison, 40, 50 );
			SetResistance( ResistanceType.Energy, 30, 35 );
	//C@C* Skills see List
		SetSkill( SkillName.Tactics, 70.0 );
SetSkill( SkillName.Parry, 70.0 );
	SetSkill( SkillName.Archery, 70.0 );
	//C@C Frame & Karma
		Fame = 4500;
		Karma = -4500;
		//C@C Armor
		VirtualArmor = 45;
		//C@C Add Item on dead
		AddItem( new Bow() );
		//C@C add item in pack
			PackItem( new Arrow( Utility.RandomMinMax( 80, 90 ) ) );
// Close--public shadowarcher() : base( AIType.AI_Archer, FightMode.Weakest, 5, 5, 0.2, 0.5 )
}
		//C@C  Name 
		public shadowarcher( Serial serial ) : base( serial )
		{
		}
		//C@C Save
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		//C@C Load
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
		//C@C Reflect Spell
		public override void CheckReflect( Mobile caster, ref bool reflect )
		{
			reflect = true; // Every spell is reflected back to the caster
		}
		//C@C OnCarve
		public override MeatType MeatType{ get{ return MeatType.Ribs; } }
public override int Meat{ get{ return 5; } }
//C@C Bard Option
public override bool BardImmune{ get{ return true; } }
//C@C Talk Action Starter
public override void OnSpeech(SpeechEventArgs e)
        {
            if (!e.Handled && e.Mobile.InRange(this.Location, 5))
            {

                if (e.Speech == "HiddenTreasure")
                {
                    this.Say("You ...Know Where i can found it !");
                }
                base.OnSpeech(e);
            }
        }
//C@C Close-- public class shadowarcher : BaseCreature		
}
//C@C Close-- namespace Server.Mobiles
}

